PHP 手冊
前一頁 |  | 下一頁

# token_name

(PHP 4 >= 4.2.0, PHP 5)

token_name -- Get the symbolic name of a given PHP token

## Description

string token_name ( int token )

token_name() gets the symbolic name for a PHP token value.

## Parameters

token

  The token value.

## Return Values

The symbolic name of the given token. The returned name returned matches the name of the matching token constant.

## 範例

範例 1. token_name() example

`<?php // 260 is the token value for the T_REQUIRE token echo token_name(260); // -> "T_REQUIRE" // a token constant maps to its own name echo token_name(T_FUNCTION); // -> "T_FUNCTION" ?>`

## 參考

List of Parser Tokens

前一頁 | 內容 | 下一頁
token_get_all | 上一層 | ODBC Functions (Unified)